---
updatedAt: 2026-06-03T14:46:37.000Z
agentTools:
  projectIndex: https://developers.fieldwire.com/llms.txt
---

# Get all submittal types

# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "title": "Fieldwire Regional API",
    "version": "v3"
  },
  "servers": [
    {
      "url": "https://client-api.{region}.fieldwire.com",
      "variables": {
        "region": {
          "default": "us",
          "enum": [
            "ca",
            "eu",
            "us"
          ]
        }
      }
    }
  ],
  "components": {
    "headers": {
      "count": {
        "description": "Pagination header: number of entities in responses",
        "schema": {
          "type": "integer"
        }
      },
      "current_user_id": {
        "description": "Current user's id",
        "schema": {
          "type": "integer"
        }
      },
      "has_more": {
        "description": "True if there are more pages of results, false otherwise",
        "schema": {
          "type": "boolean"
        }
      },
      "last_synced_at": {
        "description": "To be used as input for `last_synced_at` query parameter to get the next page of results",
        "schema": {
          "type": "string",
          "format": "date-time"
        }
      }
    },
    "parameters": {
      "api_version": {
        "name": "Fieldwire-Version",
        "in": "header",
        "description": "Specifies the version of the API to talk to",
        "required": true,
        "schema": {
          "type": "string",
          "format": "date"
        }
      },
      "entities_filter": {
        "name": "Fieldwire-Filter",
        "in": "header",
        "description": "Specifies if request should include active, deleted or all (default) entities",
        "required": false,
        "schema": {
          "type": "string",
          "enum": [
            "active",
            "deleted"
          ]
        }
      },
      "entities_per_page": {
        "name": "Fieldwire-Per-Page",
        "in": "header",
        "description": "Specifies the number of entities to include in the request",
        "required": false,
        "schema": {
          "type": "integer",
          "maximum": 1000
        }
      },
      "last_synced_at": {
        "name": "last_synced_at",
        "in": "query",
        "description": "Timestamp since when further updates should be included",
        "required": false,
        "schema": {
          "type": "string",
          "format": "date-time"
        }
      }
    },
    "schemas": {
      "submittal_type": {
        "type": "object",
        "description": "Entity that represents a Submittal Type",
        "nullable": false,
        "required": [
          "id",
          "name",
          "created_at",
          "updated_at"
        ],
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid",
            "nullable": false,
            "description": "ID of the entity"
          },
          "name": {
            "type": "string",
            "nullable": false,
            "description": "Name of the entity"
          },
          "translation_key": {
            "type": "string",
            "nullable": true,
            "description": "Translation key for the entity name"
          },
          "aliases": {
            "type": "array",
            "nullable": true,
            "items": {
              "type": "string"
            },
            "description": "Alias names for entity"
          },
          "deleted_at": {
            "type": "string",
            "format": "date-time",
            "nullable": true,
            "description": "Time the server deleted the entity"
          },
          "created_at": {
            "type": "string",
            "format": "date-time",
            "nullable": false,
            "description": "Time when the server created the entity"
          },
          "updated_at": {
            "type": "string",
            "format": "date-time",
            "nullable": false,
            "description": "Time when the server last updated the entity"
          },
          "deactivated_at": {
            "type": "string",
            "format": "date-time",
            "nullable": true,
            "description": "Time when the server last deactivated the entity"
          }
        },
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "jwt": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT",
        "description": "Access token (JWT) generated using the acquired refresh token (API token). Our [authentication](https://developers.fieldwire.com/docs/authentication) guide covers the steps to generate a valid token"
      }
    }
  },
  "paths": {
    "/api/v3/submittal_types": {
      "get": {
        "summary": "Get all submittal types",
        "operationId": "get_submittal_types",
        "tags": [
          "submittal types"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/api_version"
          },
          {
            "$ref": "#/components/parameters/entities_filter"
          },
          {
            "$ref": "#/components/parameters/entities_per_page"
          },
          {
            "$ref": "#/components/parameters/last_synced_at"
          }
        ],
        "security": [
          {
            "jwt": []
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "headers": {
              "X-Current-User-Id": {
                "$ref": "#/components/headers/current_user_id"
              },
              "X-Count": {
                "$ref": "#/components/headers/count"
              },
              "X-Last-Synced-At": {
                "$ref": "#/components/headers/last_synced_at"
              },
              "X-Has-More": {
                "$ref": "#/components/headers/has_more"
              }
            },
            "content": {
              "application/json": {
                "example": [
                  {
                    "id": "a60c81d0-a703-41b3-b3a6-ad3cb7773352",
                    "name": "Shop drawings",
                    "aliases": null,
                    "translation_key": "SHOP_DRAWING",
                    "created_at": "2026-10-02T14:47:12.243Z",
                    "updated_at": "2026-10-02T14:47:12.243Z",
                    "deleted_at": null,
                    "deactivated_at": null
                  },
                  {
                    "id": "b0fa625a-0e96-4fb2-ac27-f86077139547",
                    "name": "Sample",
                    "aliases": null,
                    "translation_key": "SAMPLE",
                    "created_at": "2026-10-02T14:47:12.245Z",
                    "updated_at": "2026-10-02T14:47:12.245Z",
                    "deleted_at": null,
                    "deactivated_at": null
                  },
                  {
                    "id": "acad2e5c-4218-4692-acd4-ff1018c9f2e8",
                    "name": "Product data",
                    "aliases": null,
                    "translation_key": "PRODUCT_DATA",
                    "created_at": "2026-10-02T14:47:12.246Z",
                    "updated_at": "2026-10-02T14:47:12.246Z",
                    "deleted_at": null,
                    "deactivated_at": null
                  },
                  {
                    "id": "575636e2-804d-42f4-8a57-334345cc8642",
                    "name": "O&M manual",
                    "aliases": null,
                    "translation_key": "OM_MANUAL",
                    "created_at": "2026-10-02T14:47:12.247Z",
                    "updated_at": "2026-10-02T14:47:12.247Z",
                    "deleted_at": null,
                    "deactivated_at": null
                  },
                  {
                    "id": "220be902-b7ff-42e4-b5cc-242210a5c9b0",
                    "name": "O&M manual",
                    "aliases": null,
                    "translation_key": "OM_MANUAL",
                    "created_at": "2026-10-01T00:00:00.000Z",
                    "updated_at": "2026-10-01T00:00:00.000Z",
                    "deleted_at": null,
                    "deactivated_at": null
                  },
                  {
                    "id": "f395f531-fb32-4ada-922f-d9ddd086ee4b",
                    "name": "Warranty",
                    "aliases": null,
                    "translation_key": "WARRANTY",
                    "created_at": "2026-10-02T14:47:12.248Z",
                    "updated_at": "2026-10-02T14:47:12.248Z",
                    "deleted_at": null,
                    "deactivated_at": null
                  },
                  {
                    "id": "30ef43f8-342c-4b0d-893d-ac26ca43c818",
                    "name": "Report",
                    "aliases": null,
                    "translation_key": "REPORT",
                    "created_at": "2026-10-02T14:47:12.249Z",
                    "updated_at": "2026-10-02T14:47:12.249Z",
                    "deleted_at": null,
                    "deactivated_at": null
                  },
                  {
                    "id": "6b51d6bd-e315-4d40-bf0f-5be356a47050",
                    "name": "Certificate",
                    "aliases": null,
                    "translation_key": "CERTIFICATE",
                    "created_at": "2026-10-02T14:47:12.250Z",
                    "updated_at": "2026-10-02T14:47:12.250Z",
                    "deleted_at": null,
                    "deactivated_at": null
                  },
                  {
                    "id": "573a0926-b1c8-42eb-b781-82c3666b31b2",
                    "name": "Mockup",
                    "aliases": null,
                    "translation_key": "MOCKUP",
                    "created_at": "2026-10-02T14:47:12.251Z",
                    "updated_at": "2026-10-02T14:47:12.251Z",
                    "deleted_at": null,
                    "deactivated_at": null
                  },
                  {
                    "id": "f3c55691-f20d-4bb1-bacd-aac2a852afef",
                    "name": "Plans",
                    "aliases": null,
                    "translation_key": "PLANS",
                    "created_at": "2026-10-02T14:47:12.252Z",
                    "updated_at": "2026-10-02T14:47:12.252Z",
                    "deleted_at": null,
                    "deactivated_at": null
                  },
                  {
                    "id": "b479e045-ebad-42ee-b73a-7c7d2c321d0c",
                    "name": "Plans",
                    "aliases": null,
                    "translation_key": "PLANS",
                    "created_at": "2026-10-01T00:00:00.000Z",
                    "updated_at": "2026-10-01T00:00:00.000Z",
                    "deleted_at": null,
                    "deactivated_at": null
                  },
                  {
                    "id": "deb9a8b3-93a2-49b0-b9cf-5848a6152765",
                    "name": "Other",
                    "aliases": null,
                    "translation_key": "OTHER",
                    "created_at": "2026-10-02T14:47:12.253Z",
                    "updated_at": "2026-10-02T14:47:12.253Z",
                    "deleted_at": null,
                    "deactivated_at": null
                  }
                ],
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/submittal_type"
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}
```